# Class RefundDisputeList

#### Hierarchy

- unknown
  - RefundDisputeList

- Defined in src/protobuf/pb_pb.d.ts:6839
- Defined in src/protobuf/pb_pb.d.ts:6853

#####
Index

### Constructors

constructor

### Methods

addDispute
clearDisputeList
getDisputeList
serializeBinary
setDisputeList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new RefundDisputeList(): RefundDisputeList

- #### Returns RefundDisputeList

  Inherited from jspb.Message.constructor

## Methods

### addDispute

- addDispute(value?: Dispute, index?: number): Dispute

- #### Parameters

  - ##### `Optional` value: Dispute

  - ##### `Optional` index: number

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:6843

### clearDisputeList

- clearDisputeList(): RefundDisputeList

- #### Returns RefundDisputeList

  - Defined in src/protobuf/pb_pb.d.ts:6842

### getDisputeList

- getDisputeList(): Dispute[]

- #### Returns Dispute[]

  - Defined in src/protobuf/pb_pb.d.ts:6840

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6845

### setDisputeList

- setDisputeList(value: Dispute[]): RefundDisputeList

- #### Parameters

  - ##### value: Dispute[]

  #### Returns RefundDisputeList

  - Defined in src/protobuf/pb_pb.d.ts:6841

### toObject

- toObject(includeInstance?: boolean): RefundDisputeList.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns RefundDisputeList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6846

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): RefundDisputeList

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RefundDisputeList

  - Defined in src/protobuf/pb_pb.d.ts:6849

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RefundDisputeList, reader: BinaryReader): RefundDisputeList

- #### Parameters

  - ##### message: RefundDisputeList

  - ##### reader: BinaryReader

  #### Returns RefundDisputeList

  - Defined in src/protobuf/pb_pb.d.ts:6850

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: RefundDisputeList, writer: BinaryWriter): void

- #### Parameters

  - ##### message: RefundDisputeList

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:6848

### `Static` toObject

- toObject(includeInstance: boolean, msg: RefundDisputeList): RefundDisputeList.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RefundDisputeList

  #### Returns RefundDisputeList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6847

Generated using TypeDoc